Package org.drinkless.tdlib

# Class TdApi.BusinessMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessMessage

Enclosing class:
  `TdApi`

public static class TdApi.BusinessMessage extends TdApi.Object
Describes a message from a business account as received by a bot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Message`
  `message`
  The message.
  `TdApi.Message`
  `replyToMessage`
  Message that is replied by the message in the same chat; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessMessage()`
  Describes a message from a business account as received by a bot.
  `BusinessMessage(TdApi.Message message, TdApi.Message replyToMessage)`
  Describes a message from a business account as received by a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### message

    public TdApi.Message message
    The message.

  - ### replyToMessage

    @Nullable public TdApi.Message replyToMessage
    Message that is replied by the message in the same chat; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessMessage

    public BusinessMessage()
    Describes a message from a business account as received by a bot.

  - ### BusinessMessage

    public BusinessMessage(TdApi.Message message, TdApi.Message replyToMessage)
    Describes a message from a business account as received by a bot.
    Parameters:
      `message` - The message.
      `replyToMessage` - Message that is replied by the message in the same chat; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR